Recent

Author Topic: Problem with LCL components  (Read 5321 times)

aurquiel

  • New Member
  • *
  • Posts: 16
Problem with LCL components
« on: August 02, 2016, 11:30:28 pm »
 :)
Hello i am using linuxmint 18 based on ubuntu 16.04 i got a warning before star the ide

Warning: directory packager/globallinks not found

see the image below

https://s32.postimg.org/qlggbzret/Screenshot_at_2016_08_02_17_27_25.png

There is something missed but i don't know what folder is it


Handoko

  • Hero Member
  • *****
  • Posts: 3185
  • My goal: build my own game engine using Lazarus
Re: Problem with LCL components
« Reply #1 on: August 03, 2016, 04:32:56 am »
Have you tried to perform a clean installation? Such IDE starting error can usually fixed by removing Lazarus with all its configuration files and install again.

You can use the commands as suggested by Thaddy in this thread:
http://forum.lazarus.freepascal.org/index.php/topic,33525.0.html

Alternatively, I prefer to use Synaptic Package Manager to perform complete removal and installation. This is a handy tool, it can show you dependencies and broken packages which hinder some application to install correctly.

Or perhaps you can try to obtain the installation files directly from Lazarus download link:
http://www.lazarus-ide.org/index.php?page=downloads
You need to download and install all three packages as mentioned on the download page.

I ever experienced application that won't be able to installed on my Ubuntu Mate pc even I follow the instruction correctly. But a simple computer restart fix the issue.

aurquiel

  • New Member
  • *
  • Posts: 16
Re: Problem with LCL components
« Reply #2 on: August 04, 2016, 02:26:59 am »
Have you tried to perform a clean installation? Such IDE starting error can usually fixed by removing Lazarus with all its configuration files and install again.

You can use the commands as suggested by Thaddy in this thread:
http://forum.lazarus.freepascal.org/index.php/topic,33525.0.html

Alternatively, I prefer to use Synaptic Package Manager to perform complete removal and installation. This is a handy tool, it can show you dependencies and broken packages which hinder some application to install correctly.

Or perhaps you can try to obtain the installation files directly from Lazarus download link:
http://www.lazarus-ide.org/index.php?page=downloads
You need to download and install all three packages as mentioned on the download page.

I ever experienced application that won't be able to installed on my Ubuntu Mate pc even I follow the instruction correctly. But a simple computer restart fix the issue.

Thank it worked, i remove all fpc and lazarus package from synaptic then i deleted the .Lazaurs floder form user folder, downloaded all three package from source forge and installed them